Work orders
Base URL: $BUSINESS_API
The object
idtenant_idorder_numberorder_typeprioritystatusaccount_idaccount_numberNumber of the referenced account, e.g. CTA-000044. Omitted when unknown.
account_holder_nameDisplay name of the customer who holds the referenced account. Omitted when unknown.
connection_idconnection_holder_nameDisplay name of the customer who holds the referenced connection. Omitted when unknown.
description
Endpoints
- GET
/work-orders - POST
/work-orders - GET
/work-orders/{id} - POST
/work-orders/{id}/assign - POST
/work-orders/{id}/complete - GET
/work-orders/{id}/metadata - PUT
/work-orders/{id}/metadata - GET
/work-orders/{id}/status-history - POST
/work-orders/{id}/dispatch - POST
/work-orders/{id}/execute - POST
/work-orders/{id}/cancel - GET
/work-orders/{id}/material-lines - POST
/work-orders/{id}/material-lines - PATCH
/work-orders/{id}/material-lines/{line} - DELETE
/work-orders/{id}/material-lines/{line} - POST
/work-orders/{id}/material-lines/{line}/issue - POST
/work-orders/{id}/material-lines/{line}/use - POST
/work-orders/{id}/material-lines/{line}/return - GET
/work-orders/{id}/materials - POST
/work-orders/{id}/materials
The object
{
"id": "wko_2ecrvKOzr4kPhwgtrQAD7gM53yk",
"tenant_id": "ten_2ugFXIC316WXzGu1HGal90AxTA6",
"order_number": "ORD-2026-000142",
"order_type": "order type",
"priority": "priority",
"status": "active",
"account_id": "act_2JFioNDgIfvkgflk8RtcqhBaARP",
"account_number": "ACC-2026-000142",
"account_holder_name": "Ana Matsinhe",
"connection_id": "con_2wuJTWy9FOCTPGA3noGbHegbLaU",
"connection_holder_name": "Ana Matsinhe",
"description": "Leitura confirmada no local."
}